From: Sascha Girrulat <sascha@girrulat.de>
Date: Wed, 11 Sep 2019 13:32:50 +0200
Subject: Use global stdin instead of local variable

The stdin bypass will use a local variable stdin instead of $stdin and
it will result in the following error:

Traceback (most recent call last):
	2: from /usr/lib/ruby/vendor_ruby/svn2git/migration.rb:432:in `block (2 levels) in run_command'
      	1: from /usr/lib/ruby/vendor_ruby/svn2git/migration.rb:432:in `loop'
/usr/lib/ruby/vendor_ruby/svn2git/migration.rb:438:in `block (3 levels) in run_command': undefined local variable or method `stdin' for #<Svn2Git::Migration:0x0000555b7c945cc8> (NameError)
Did you mean?  String

This fix should handle the error and uses the global stdin
---
 lib/svn2git/migration.rb | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

diff --git a/lib/svn2git/migration.rb b/lib/svn2git/migration.rb
index 2c9d041..eb38338 100755
--- a/lib/svn2git/migration.rb
+++ b/lib/svn2git/migration.rb
@@ -430,13 +430,17 @@ module Svn2Git
         # sub-process's stdin pipe.
         Thread.new do
           loop do
-            user_reply = @stdin_queue.pop
+            begin
+              user_reply = @stdin_queue.pop
 
-            # nil is our cue to stop looping (pun intended).
-            break if user_reply.nil?
+              # nil is our cue to stop looping (pun intended).
+              break if user_reply.nil?
 
-            stdin.puts user_reply
-            stdin.close
+              $stdin.puts user_reply
+              $stdin.close
+            rescue IOError
+              $stdout.print "No input requested.\n"
+            end
           end
         end
 
